--- a/Makefile
+++ b/Makefile
@@ -1,39 +1,12 @@
 GTK_INCLUDE = `pkg-config gtk+-2.0 --cflags`
 GTK_LIB = `pkg-config gtk+-2.0 --libs`
 
-FLAGS = -O2 -Wall -fPIC $(GTK_INCLUDE) 
-LIBS = $(GTK_LIB) 
-LFLAGS = -shared
+CFLAGS += -fPIC $(GTK_INCLUDE)
+LIBS = $(GTK_LIB)
+LDFLAGS += -shared
 
-CC = gcc $(CFLAGS) $(FLAGS)
-
-OBJS = gkrellaclock.o
-
-gkrellaclock.so: $(OBJS)
-	$(CC) $(OBJS) -o gkrellaclock.so $(LFLAGS) $(LIBS) 
+gkrellaclock.so: gkrellaclock.o
+	$(CC) $(CFLAGS) $(OBJS) -o gkrellaclock.so $(LDFLAGS) $(LIBS)
 
 clean:
-	rm -f *.o core *.so* *.bak *~
-
-gkrellaclock.o: gkrellaclock.c
-
-install:
-	if [ -d /usr/local/lib/gkrellm2/plugins/ ] ; then \
-		install -c -s -m 644 gkrellaclock.so /usr/local/lib/gkrellm2/plugins/ ; \
-	elif [ -d /usr/lib/gkrellm2/plugins/ ] ; then \
-        	install -c -s -m 644 gkrellaclock.so /usr/lib/gkrellm2/plugins/ ; \
-	else \
-		install -D -c -s -m 644 gkrellaclock.so /usr/lib/gkrellm2/plugins/gkrellaclock.so ; \
-	fi
-userinstall:
-	if [ -d $(HOME)/.gkrellm2/plugins/ ] ; then \
-		install -c -s -m 644 gkrellaclock.so $(HOME)/.gkrellm2/plugins/ ; \
-	else \
-		install -D -c -s -m 644 gkrellaclock.so $(HOME)/.gkrellm2/plugins/gkrellaclock.so ; \
-	fi
-
-uninstall:
-	rm -f /usr/local/lib/gkrellm2/plugins/gkrellaclock.so
-	rm -f /usr/lib/gkrellm2/plugins/gkrellaclock.so
-	rm -f $(HOME)/.gkrellm2/plugins/gkrellaclock.so
-
+	rm -f gkrellaclock.*o
